activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frizz <frizzthe...@googlemail.com>
Subject Adding custom made plugins not possible in 5.8?
Date Thu, 12 Sep 2013 12:10:10 GMT
Hello,

I made a new BrokerPlugin as described here:
http://fusesource.com/docs/mirrors/activemq/features/interceptors.html

I edited activemq.xml to add a "plugins" element to "broker" like this:

<broker xmlns="http://activemq.org/config/1.0" brokerName="localhost"
dataDirectory="${activemq.base}/data" plugins="#myPlugin">

Unfortunately in 5.8 (haven't checked older versions) "broker" does not
have a "plugins" element any more - so my activemq.xml does not validate
any more.

I also tried adding my plugins this way:
   <plugins>
      <bean id="myPlugin" class="org.myorg.MyPlugin"/>
   </plugins>

But this also does not work any more, because plugins are now pre-defined,
like authorizationPlugin, connectionDotFilePlugin,
destinationDotFilePlugin, ...

Question: How can I add a custom made plugin to ActiveMQ 5.8?

cheers,
F.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message